Subject: Re: [PATCH 03/31] fs: introduce new ->get_poll_head and ->poll_mask methods

From: Al Viro <[email-masked]>
Date: Sat, 6 Jan 2018 19:12:42 +0000

On Thu, Jan 04, 2018 at 09:00:15AM +0100, Christoph Hellwig wrote:
> ->get_poll_head returns the waitqueue that the poll operation is going
> to sleep on.  Note that this means we can only use a single waitqueue
> for the poll, unlike some current drivers that use two waitqueues for
> different events.  But now that we have keyed wakeups and heavily use
> those for poll there aren't that many good reason left to keep the
> multiple waitqueues, and if there are any ->poll is still around, the
> driver just won't support aio poll.

*UGH*

Gotta love the optimism, but have you actually done the conversion?
I'm particularly suspicious about the locking rules here...

--
To unsubscribe, send a message with 'unsubscribe linux-aio' in
the body to [email-masked].  For more info on Linux AIO,
see: http://www.kvack.org/aio/
Don't email: <a href=mailto:"[email-masked]">[email-masked]</a>